Debian Bug report logs - #600208
linux-image-2.6.32-5-amd64: early-crypto (?) prompts again for already-opened partition

version graph

Package: cryptsetup; Maintainer for cryptsetup is Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>; Source for cryptsetup is src:cryptsetup.

Reported by: Philip Ashmore <contact@philipashmore.com>

Date: Thu, 14 Oct 2010 17:00:01 UTC

Severity: normal

Fixed in version cryptsetup/2:1.2.0-1

Done: Jonas Meurer <mejo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, contact@philipashmore.com, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600208; Package linux-2.6. (Thu, 14 Oct 2010 17:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Ashmore <contact@philipashmore.com>:
New Bug report received and forwarded. Copy sent to contact@philipashmore.com, Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Oct 2010 17:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philip Ashmore <contact@philipashmore.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-amd64: early-crypto (?) prompts again for already-opened partition
Date: Thu, 14 Oct 2010 17:56:25 +0100
Package: linux-2.6
Version: 2.6.32-23
Severity: normal

I used Qemu to do a Squeeze install, using an encrypted LVM2 install on a 5G raw image.
When done I mounted the raw image and rsync's its contents into an existing ext4 image on my "real" encrypted LVM2
partition and added
    cryptopts=target=hda2_crypt,source=UUID=41d45178-c0d4-4d8f-a190-1c56b6328318,key=none,rootdev,lvm=VgCompaq-squeeze
to the kernel command line. 

/etc/crypttab contained
    sda4_crypt UUID=41d45178-c0d4-4d8f-a190-1c56b6328318 none luks

Early-crypto (sorry if I got the name wrong - none of the logs list it) didn't spot that an encrypted partition with
the same uuid was already opened and prompted again.
When I entered the password again I got a slew of errors relating to duplicate PV, LVM2...

Changing the luks device name to sda4_crypt on the kernel command line fixes the problem, but that's not the
point of this bug report, as I hope you will agree.

-- Package-specific info:
** Version:
Linux version 2.6.32-5-amd64 (Debian 2.6.32-23) (dannf@debian.org) (gcc version 4.3.5 (Debian 4.3.5-3) ) #1 SMP Fri Sep 17 21:50:19 UTC 2010

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.32-5-amd64.squeeze root=/dev/mapper/VgCompaq-squeeze resume=/dev/VgCompaq/swap ro quiet splash vga=0x317 cryptopts=target=sda4_crypt,source=UUID=41d45178-c0d4-4d8f-a190-1c56b6328318,key=none,rootdev,lvm=VgCompaq-squeeze

** Not tainted

** Kernel log:
[   10.672142] ACPI: AC Adapter [AC] (on-line)
[   10.672512] ACPI: WMI: Mapper loaded
[   10.727880] udev: renamed network interface eth0 to eth1
[   10.756239] input: PC Speaker as /devices/platform/pcspkr/input/input6
[   10.847978] i801_smbus 0000:00:1f.3: PCI INT D -> GSI 19 (level, low) -> IRQ 19
[   11.237050] [drm] Initialized drm 1.1.0 20060810
[   11.315582] cfg80211: Using static regulatory domain info
[   11.315585] cfg80211: Regulatory domain: US
[   11.315588] 	(start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   11.315591] 	(2402000 KHz - 2472000 KHz @ 40000 KHz), (600 mBi, 2700 mBm)
[   11.315595] 	(5170000 KHz - 5190000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[   11.315601] 	(5190000 KHz - 5210000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[   11.315601] 	(5210000 KHz - 5230000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[   11.315604] 	(5230000 KHz - 5330000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[   11.315607] 	(5735000 KHz - 5835000 KHz @ 40000 KHz), (600 mBi, 3000 mBm)
[   11.315618] cfg80211: Calling CRDA for country: US
[   11.387778] input: PS/2 Mouse as /devices/platform/i8042/serio1/input/input7
[   11.423406] input: AlpsPS/2 ALPS GlidePoint as /devices/platform/i8042/serio1/input/input8
[   11.546159] i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   11.546165] i915 0000:00:02.0: setting latency timer to 64
[   11.561342]   alloc irq_desc for 26 on node -1
[   11.561347]   alloc kstat_irqs on node -1
[   11.561358] i915 0000:00:02.0: irq 26 for MSI/MSI-X
[   11.561367] [drm] set up 7M of stolen space
[   11.659728] Linux video capture interface: v2.00
[   11.686036] [drm] initialized overlay support
[   11.754445] ath5k 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   11.754469] ath5k 0000:01:00.0: setting latency timer to 64
[   11.754544] ath5k 0000:01:00.0: registered as 'phy0'
[   11.948683] uvcvideo: Found UVC 1.00 device CNF7041 (04f2:b057)
[   11.952488] input: CNF7041 as /devices/pci0000:00/0000:00:1d.7/usb1/1-6/1-6:1.0/input/input9
[   11.952586] usbcore: registered new interface driver uvcvideo
[   11.952794] USB Video Class driver (v0.1.0)
[   12.254885] ath: EEPROM regdomain: 0x67
[   12.254888] ath: EEPROM indicates we should expect a direct regpair map
[   12.254893] ath: Country alpha2 being used: 00
[   12.254895] ath: Regpair used: 0x67
[   12.364329] fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver
[   12.364401] Console: switching to colour dummy device 80x25
[   12.364878] Console: switching to colour frame buffer device 180x56
[   12.374279] phy0: Selected rate control algorithm 'minstrel'
[   12.375014] Registered led device: ath5k-phy0::rx
[   12.375033] Registered led device: ath5k-phy0::tx
[   12.375036] ath5k phy0: Atheros AR2425 chip found (MAC: 0xe2, PHY: 0x70)
[   12.488180] fb0: inteldrmfb frame buffer device
[   12.488183] registered panic notifier
[   12.489089] [Firmware Bug]: ACPI: ACPI brightness control misses _BQC function
[   12.500533] acpi device:15: registered as cooling_device2
[   12.501050] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input10
[   12.501121] ACPI: Video Device [OVGA] (multi-head: yes  rom: no  post: no)
[   12.501165] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[   12.501250]   alloc irq_desc for 22 on node -1
[   12.501252]   alloc kstat_irqs on node -1
[   12.501263] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[   12.501347] HDA Intel 0000:00:1b.0: setting latency timer to 64
[   12.685629] input: HDA Intel Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
[   12.685740] input: HDA Intel Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
[   12.685811] input: HDA Intel Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input13
[   13.817381] loop: module loaded
[   14.702057] Adding 5857272k swap on /dev/mapper/VgCompaq-swap.  Priority:-1 extents:1 across:5857272k 
[   36.355840] kjournald starting.  Commit interval 5 seconds
[   36.356023] EXT3 FS on sda1, internal journal
[   36.356029] EXT3-fs: mounted filesystem with ordered data mode.
[   36.449623] kjournald starting.  Commit interval 5 seconds
[   36.452298] EXT3 FS on dm-3, internal journal
[   36.452304] EXT3-fs: mounted filesystem with ordered data mode.
[   36.518084] kjournald starting.  Commit interval 5 seconds
[   36.520276] EXT3 FS on dm-4, internal journal
[   36.520282] EXT3-fs: mounted filesystem with ordered data mode.
[   36.593588] EXT4-fs (dm-1): mounted filesystem with ordered data mode
[   37.859417] fuse init (API version 7.13)
[   39.473309] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input14
[   40.830272] Bluetooth: Core ver 2.15
[   40.830362] NET: Registered protocol family 31
[   40.830364] Bluetooth: HCI device and connection manager initialized
[   40.830368] Bluetooth: HCI socket layer initialized
[   40.929776] Bluetooth: L2CAP ver 2.14
[   40.929779] Bluetooth: L2CAP socket layer initialized
[   41.024027] Bluetooth: RFCOMM TTY layer initialized
[   41.024032] Bluetooth: RFCOMM socket layer initialized
[   41.024034] Bluetooth: RFCOMM ver 1.11
[   41.273549] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   41.273553] Bluetooth: BNEP filters: protocol multicast
[   41.392621] Bridge firewalling registered
[   41.528196] Bluetooth: SCO (Voice Link) ver 0.6
[   41.528200] Bluetooth: SCO socket layer initialized
[   42.933819] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   42.942776] eth1: link down
[   42.943495] ADDRCONF(NETDEV_UP): eth1: link is not ready
[   44.345709] lp: driver loaded but no devices found
[   44.386697] ppdev: user-space parallel port driver
[   86.274662] wlan0: direct probe to AP 00:14:d1:57:20:2d (try 1)
[   86.278055] wlan0: direct probe responded
[   86.278066] wlan0: authenticate with AP 00:14:d1:57:20:2d (try 1)
[   86.279848] wlan0: authenticated
[   86.279885] wlan0: associate with AP 00:14:d1:57:20:2d (try 1)
[   86.382580] wlan0: RX AssocResp from 00:14:d1:57:20:2d (capab=0x431 status=0 aid=1)
[   86.382589] wlan0: associated
[   86.384781] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[   96.852103] wlan0: no IPv6 routers present

** Model information
sys_vendor: Hewlett-Packard
product_name: Compaq Presario A900 Notebook PC
product_version: F.34
chassis_vendor: Hewlett-Packard
chassis_version: N/A
bios_vendor: Hewlett-Packard
bios_version: F.34
board_vendor: Hewlett-Packard
board_name: 30ED
board_version: 83.21

** Loaded modules:
Module                  Size  Used by
acpi_cpufreq            5523  0 
cpufreq_powersave        902  0 
cpufreq_stats           2659  0 
cpufreq_userspace       1960  0 
cpufreq_conservative     5162  0 
parport_pc             18855  0 
ppdev                   5030  0 
lp                      7462  0 
parport                27954  3 parport_pc,ppdev,lp
sco                     7209  2 
bridge                 39470  0 
stp                     1440  1 bridge
bnep                    9363  2 
rfcomm                 29533  0 
l2cap                  24736  4 bnep,rfcomm
bluetooth              41763  6 sco,bnep,rfcomm,l2cap
uinput                  6376  1 
fuse                   49998  1 
ext3                  106134  3 
jbd                    36877  1 ext3
loop                   11767  0 
snd_hda_codec_conexant    21869  1 
arc4                    1274  2 
ecb                     1841  2 
uvcvideo               51887  0 
snd_hda_intel          19955  2 
ath5k                 112034  0 
mac80211              136604  1 ath5k
snd_hda_codec          54244  2 snd_hda_codec_conexant,snd_hda_intel
videodev               29881  1 uvcvideo
v4l1_compat            11442  2 uvcvideo,videodev
v4l2_compat_ioctl32     8474  1 videodev
ath                     7974  1 ath5k
i915                  254663  2 
snd_hwdep               5380  1 snd_hda_codec
joydev                  8411  0 
snd_pcm                60503  2 snd_hda_intel,snd_hda_codec
snd_seq                42737  0 
cfg80211              100792  3 ath5k,mac80211,ath
snd_timer              15582  2 snd_pcm,snd_seq
drm_kms_helper         20033  1 i915
snd_seq_device          4493  1 snd_seq
drm                   142151  3 i915,drm_kms_helper
snd                    46414  12 snd_hda_codec_conexant,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_seq,snd_timer,snd_seq_device
rfkill                 12964  3 bluetooth,cfg80211
i2c_algo_bit            4225  1 i915
soundcore               4598  1 snd
led_class               2433  1 ath5k
video                  17445  1 i915
snd_page_alloc          6169  2 snd_hda_intel,snd_pcm
i2c_i801                7830  0 
psmouse                49729  0 
i2c_core               15680  6 videodev,i915,drm_kms_helper,drm,i2c_algo_bit,i2c_i801
pcspkr                  1699  0 
serio_raw               3752  0 
wmi                     4323  0 
output                  1692  1 video
ac                      2192  0 
evdev                   7352  26 
processor              30239  3 acpi_cpufreq
battery                 4998  0 
button                  4650  1 i915
ext4                  288329  2 
mbcache                 5050  2 ext3,ext4
jbd2                   66759  1 ext4
crc16                   1319  2 l2cap,ext4
sha256_generic          8692  2 
aes_x86_64              7340  3 
aes_generic            25714  1 aes_x86_64
cbc                     2539  1 
dm_crypt               10427  1 
usb_storage            39529  0 
dm_mod                 53562  19 dm_crypt
sg                     18712  0 
sd_mod                 29713  3 
sr_mod                 12602  0 
cdrom                  29415  1 sr_mod
crc_t10dif              1276  1 sd_mod
ata_generic             2983  0 
ata_piix               21092  0 
8139too                17869  0 
ahci                   32310  2 
uhci_hcd               18457  0 
8139cp                 15813  0 
mii                     3210  2 8139too,8139cp
thermal                11674  0 
thermal_sys            11942  3 video,processor,thermal
libata                133328  3 ata_generic,ata_piix,ahci
ehci_hcd               30895  0 
scsi_mod              121861  5 usb_storage,sg,sd_mod,sr_mod,libata
usbcore               121698  5 uvcvideo,usb_storage,uhci_hcd,ehci_hcd
nls_base                6377  1 usbcore

** Network interface configuration:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
allow-hotplug eth0
iface eth0 inet dhcp

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth1: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state DOWN qlen 1000
    link/ether 00:1e:ec:86:54:52 brd ff:ff:ff:ff:ff:ff
3: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:22:68:98:c3:98 brd ff:ff:ff:ff:ff:ff
    inet 192.168.10.101/24 brd 192.168.10.255 scope global wlan0
    inet6 fe80::222:68ff:fe98:c398/64 scope link 
       valid_lft forever preferred_lft forever
4: pan0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN 
    link/ether 76:ed:0c:c5:80:86 brd ff:ff:ff:ff:ff:ff

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:   14404     222    0    0    0     0          0         0    14404     222    0    0    0     0       0          0
  eth1:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
 wlan0:10267981   10041    0    0    0     0          0         0  1989519    9508    0    0    0     0       0          0
  pan0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    10367 total packets received
    0 forwarded
    0 incoming packets discarded
    10367 incoming packets delivered
    9546 requests sent out
    8 outgoing packets dropped
Icmp:
    16 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 16
    16 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 16
IcmpMsg:
        InType3: 16
        OutType3: 16
Tcp:
    543 active connections openings
    7 passive connection openings
    58 failed connection attempts
    15 connection resets received
    1 connections established
    9806 segments received
    9013 segments send out
    47 segments retransmited
    0 bad segments received.
    91 resets sent
Udp:
    391 packets received
    16 packets to unknown port received.
    0 packet receive errors
    428 packets sent
UdpLite:
TcpExt:
    1 packets pruned from receive queue because of socket buffer overrun
    320 TCP sockets finished time wait in fast timer
    4 time wait sockets recycled by time stamp
    3 packets rejects in established connections because of timestamp
    208 delayed acks sent
    Quick ack mode was activated 21 times
    6031 packet headers predicted
    926 acknowledgments not containing data payload received
    195 predicted acknowledgments
    23 congestion windows recovered without slow start after partial ack
    36 other TCP timeouts
    30 packets collapsed in receive queue due to low socket buffer
    22 DSACKs sent for old packets
    6 DSACKs received
    1 connections reset due to unexpected data
    3 connections reset due to early user close
    2 connections aborted due to timeout
    TCPDSACKIgnoredNoUndo: 6
    TCPSackShiftFallback: 3
IpExt:
    InMcastPkts: 297
    OutMcastPkts: 201
    InBcastPkts: 1
    InOctets: 10153814
    OutOctets: 1679877
    InMcastOctets: 20087
    OutMcastOctets: 17423
    InBcastOctets: 576

*** Device features:
eth1: 0x829
lo: 0x13865
pan0: 0xff3865
wlan0: 0x2000

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 03)
	Subsystem: Hewlett-Packard Company Presario C700 [103c:30d9]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Presario C700 [103c:30d9]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 26
	Region 0: Memory at d1000000 (64-bit, non-prefetchable) [size=1M]
	Region 2: Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 30d0 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a03] (rev 03)
	Subsystem: Hewlett-Packard Company Presario C700 [103c:30d9]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at d1100000 (64-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>

00:1b.0 Audio device [0403]: Intel Corporation 82801H (ICH8 Family) HD Audio Controller [8086:284b] (rev 04)
	Subsystem: Conexant Systems, Inc. Presario C700 [14f1:5051]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at d2400000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 [8086:283f] (rev 04) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d1300000-d23fffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000d0ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 [8086:2830] (rev 04) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Presario C700 [103c:30d9]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 21
	Region 4: I/O ports at 3080 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 [8086:2831] (rev 04) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Presario C700 [103c:30d9]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 20
	Region 4: I/O ports at 3060 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 [8086:2832] (rev 04) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Presario C700 [103c:30d9]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 19
	Region 4: I/O ports at 3040 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 [8086:2836] (rev 04) (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Presario C700 [103c:30d9]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at d2404800 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev f4) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=32
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: d1200000-d12fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller [8086:2815] (rev 04)
	Subsystem: Hewlett-Packard Company Presario C700 [103c:30d9]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.1 IDE interface [0101]: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller [8086:2850] (rev 04) (prog-if 8a [Master SecP PriP])
	Subsystem: Hewlett-Packard Company Presario C700 [103c:30d9]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 30a0 [size=16]
	Kernel driver in use: ata_piix

00:1f.2 SATA controller [0106]: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller [8086:2829] (rev 04) (prog-if 01 [AHCI 1.0])
	Subsystem: Hewlett-Packard Company Presario C700 [103c:30d9]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 25
	Region 0: I/O ports at 30b8 [size=8]
	Region 1: I/O ports at 30dc [size=4]
	Region 2: I/O ports at 30b0 [size=8]
	Region 3: I/O ports at 30d8 [size=4]
	Region 4: I/O ports at 3020 [size=32]
	Region 5: Memory at d2404000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 82801H (ICH8 Family) SMBus Controller [8086:283e] (rev 04)
	Subsystem: Hewlett-Packard Company Presario C700 [103c:30d9]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin D routed to IRQ 19
	Region 0: Memory at d2404c00 (32-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 3000 [size=32]
	Kernel driver in use: i801_smbus

01:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR5001 Wireless Network Adapter [168c:001c] (rev 01)
	Subsystem: Hewlett-Packard Company Device [103c:137b]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at d1300000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath5k

02:01.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ [10ec:8139] (rev 10)
	Subsystem: Hewlett-Packard Company Presario C700 [103c:30d9]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (8000ns min, 16000ns max)
	Interrupt: pin A routed to IRQ 16
	Region 0: I/O ports at 1000 [size=256]
	Region 1: Memory at d1200000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: 8139too


** USB devices:
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 04f2:b057 Chicony Electronics Co., Ltd integrated USB webcam
Bus 001 Device 002: ID 0bda:0158 Realtek Semiconductor Corp. USB 2.0 multicard reader
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_IE.UTF-8, LC_CTYPE=en_IE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.35     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.4     tools for generating an initramfs
ii  linux-base                    2.6.32-23  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-amd64 recommends:
pn  firmware-linux-free           <none>     (no description available)

Versions of packages linux-image-2.6.32-5-amd64 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.32-5-amd64/postinst/ignoring-do-bootloader-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/postinst/depmod-error-initrd-2.6.32-5-amd64: false
  linux-image-2.6.32-5-amd64/prerm/removing-running-kernel-2.6.32-5-amd64: true
  linux-image-2.6.32-5-amd64/postinst/missing-firmware-2.6.32-5-amd64:




Bug reassigned from package 'linux-2.6' to 'cryptsetup'. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Thu, 14 Oct 2010 17:03:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.32-23. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Thu, 14 Oct 2010 17:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#600208; Package cryptsetup. (Thu, 14 Oct 2010 22:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Ashmore <contact@philipashmore.com>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Thu, 14 Oct 2010 22:36:04 GMT) Full text and rfc822 format available.

Message #14 received at 600208@bugs.debian.org (full text, mbox):

From: Philip Ashmore <contact@philipashmore.com>
To: 600208@bugs.debian.org
Subject: Re: Bug#600204: linux-image-2.6.32-5-amd64: Squeeze ignores Lennys hibernate image
Date: Thu, 14 Oct 2010 23:22:07 +0100
Here follows the full text of the message I sent to control@bugs.debian.org:

> reopen 600204
> thanks
>
> I guess I failed to mention that Lenny is using 2.6.32-5-amd64 from 
Squeeze.
>
> The initrd images were generated by Lenny and squeeze separately even
> though they are the same version and I don't mix them.
>
> The reason I thought this worth reporting is that I also made the same
> mistake on another occasion when I ran Lenny with 2.6.36-rc6-amd64 
and Squeeze
> gave me the option of rebooting as the resume image was incompatible.
>
> This would imply that what you think is "correct behavior" is about 
to change
> and become something a bit more helpful.
>
> Meanwhile I'll get a cup of coffee inside me before I switch on my 
laptop again!
>
> Philip

Did I miss something in the advise you gave me in 592750@bugs.debian.org?

Philip




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 16 Jan 2011 07:09:10 GMT) Full text and rfc822 format available.

Reply sent to Jonas Meurer <mejo@debian.org>:
You have taken responsibility. (Sun, 16 Jan 2011 16:03:07 GMT) Full text and rfc822 format available.

Notification sent to Philip Ashmore <contact@philipashmore.com>:
Bug acknowledged by developer. (Sun, 16 Jan 2011 16:03:07 GMT) Full text and rfc822 format available.

Message #21 received at 600208-close@bugs.debian.org (full text, mbox):

From: Jonas Meurer <mejo@debian.org>
To: 600208-close@bugs.debian.org
Subject: Bug#600208: fixed in cryptsetup 2:1.2.0-1
Date: Sun, 16 Jan 2011 16:02:09 +0000
Source: cryptsetup
Source-Version: 2:1.2.0-1

We believe that the bug you reported is fixed in the latest version of
cryptsetup, which is due to be installed in the Debian FTP archive:

cryptsetup-udeb_1.2.0-1_amd64.udeb
  to main/c/cryptsetup/cryptsetup-udeb_1.2.0-1_amd64.udeb
cryptsetup_1.2.0-1.debian.tar.gz
  to main/c/cryptsetup/cryptsetup_1.2.0-1.debian.tar.gz
cryptsetup_1.2.0-1.dsc
  to main/c/cryptsetup/cryptsetup_1.2.0-1.dsc
cryptsetup_1.2.0-1_amd64.deb
  to main/c/cryptsetup/cryptsetup_1.2.0-1_amd64.deb
cryptsetup_1.2.0.orig.tar.bz2
  to main/c/cryptsetup/cryptsetup_1.2.0.orig.tar.bz2
libcryptsetup-dev_1.2.0-1_amd64.deb
  to main/c/cryptsetup/libcryptsetup-dev_1.2.0-1_amd64.deb
libcryptsetup1-udeb_1.2.0-1_amd64.udeb
  to main/c/cryptsetup/libcryptsetup1-udeb_1.2.0-1_amd64.udeb
libcryptsetup1_1.2.0-1_amd64.deb
  to main/c/cryptsetup/libcryptsetup1_1.2.0-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600208@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Meurer <mejo@debian.org> (supplier of updated cryptsetup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 16 Jan 2011 01:01:03 +0100
Source: cryptsetup
Binary: cryptsetup libcryptsetup1 libcryptsetup-dev cryptsetup-udeb libcryptsetup1-udeb
Architecture: source amd64
Version: 2:1.2.0-1
Distribution: experimental
Urgency: low
Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>
Changed-By: Jonas Meurer <mejo@debian.org>
Description: 
 cryptsetup - configures encrypted block devices
 cryptsetup-udeb - configures encrypted block devices (udeb)
 libcryptsetup-dev - libcryptsetup development files
 libcryptsetup1 - libcryptsetup shared library
 libcryptsetup1-udeb - libcryptsetup shared library (udeb)
Closes: 600208 600522 601311 602501 603804
Changes: 
 cryptsetup (2:1.2.0-1) experimental; urgency=low
 .
   * new major upstream release (closes: #603804)
     - adds text version of FAQ
     - adds new options --use-random and --use-urandom for MK generation
     - fixes luksRemoveKey to not ask for remaining keyslot passphrase
     - no longer supports luksDelKey command (replaced by luksKillSlot)
     - no longer supports reload command, dmsetup reload should be used instead
     - adds support to change the UUID later (with --uuid cmd option)
     - adds --dump-master-key option for luksDump command
     - no luksOpen, luksFormat and create for open devices (closes: #600208)
     - remove debian/patches/01_manpage.patch, incorporated upstream
     - and many more changes, see upstream changelog for further information
     - update debian/libcryptsetup1.symbols
   * invoke update-initramfs at cryptsetup removal in order to not leave behind
     a broken initramfs. thanks to ubuntu for the hint.
   * link dynamically against libgcrypt11 and libgpg-error0 now that the
     libraries have been moved to /lib. add versioned depends for libcryptsetup1
     on (libgcrypt >= 1.4.6-2) and libgpg-error0 (>= 1.10-0.1).
   * debian/initramfs/cryptroot-script: prereq 'cryptroot-prepare' added in
     order to support cryptroot to depend on custom initramfs scripts. thanks
     to Marc Haber for the suggestion. (closes: #601311)
   * debian/cryptdisks.functions:
     + fix check for ownership and permissions of $key to work with slighly
       different output of 'ls -l' with selinux enabled. (closes: #600522)
     + fix $TRIES implementation to support TRIES=0 again. (closes: #602501)
   * change 'echo -e' to 'printf' in debian/initramfs/cryptroot-script. thanks
     to checkbashisms script devscripts for spotting that bashism.
   * add a libcryptsetup1-udeb library package for debian-installer in order to
     satisfy cryptsetup-udeb dependencies with dynamically linked binary.
     Version the build-depends on libgcrypt11-dev to (>= 1.4.6-3), to satisfy
     udeb library dependencies.
   * change 'XC-Package-Type: udeb' to 'Package-Type: udeb' in debian/control
   * add debian/cryptsetup.apport from Ubuntu, install only for dist=Ubuntu.
     build-depends on dpkg-dev (>= 1.15.1) is required for this to work.
Checksums-Sha1: 
 90a05ca19b86d8c2ef63bfafcc19ca37cfb269be 2246 cryptsetup_1.2.0-1.dsc
 fa9383eda40655311f2dfe751e061b0111c73908 523859 cryptsetup_1.2.0.orig.tar.bz2
 1d35ae3a017840e51b744203fe9ec5bf762df41b 78686 cryptsetup_1.2.0-1.debian.tar.gz
 4439503e7f07e96c936e84b092ec03a79baedc5d 176088 cryptsetup_1.2.0-1_amd64.deb
 9e89a2a55868b3aec7c1fd7c78a3705a2a986f05 82062 libcryptsetup1_1.2.0-1_amd64.deb
 e7b8bb0854f4a5069680116de543344a525843ce 43898 libcryptsetup-dev_1.2.0-1_amd64.deb
 d9c5dfda40022786bdf897088b69531d15cea8a6 33294 cryptsetup-udeb_1.2.0-1_amd64.udeb
 b10293fe8463247bacc66bde0f07785782d4a1f5 43554 libcryptsetup1-udeb_1.2.0-1_amd64.udeb
Checksums-Sha256: 
 87aacc1c13c8c0609f3e971fd602db6fe9033c64a9bd8b7eabdf23e4476ab8f2 2246 cryptsetup_1.2.0-1.dsc
 411129817ff29e6a957bcbdcd9a2c4c953c1539acd8af912c383262ba901b5ea 523859 cryptsetup_1.2.0.orig.tar.bz2
 17e5838697860cc182af38e6f00cf94d14191985190d5298c16c71c93f945310 78686 cryptsetup_1.2.0-1.debian.tar.gz
 3d2bc2ceea5d50b983d0891627d6c736ad8441095cec8cc9bb6561aed75dc121 176088 cryptsetup_1.2.0-1_amd64.deb
 62f06b01e39be64c623fb1cde07454660af5bf292c364e68b28d9954137918b9 82062 libcryptsetup1_1.2.0-1_amd64.deb
 ff2bae1c0dfc1c4d061cc847be26deecfe9304c0ae44ee9b78aef8a1be510f00 43898 libcryptsetup-dev_1.2.0-1_amd64.deb
 1b02e22879989c9f3e8fbf7ad88ae5dc90d7099b56f2a7ce7cb4832c062615f1 33294 cryptsetup-udeb_1.2.0-1_amd64.udeb
 7e0a3b8651403bb569aa167a08cc1323e1f644ff6c5f475a097a2cd4d5478981 43554 libcryptsetup1-udeb_1.2.0-1_amd64.udeb
Files: 
 101a8eeb3b9ca886cac6487b1b4fc213 2246 admin optional cryptsetup_1.2.0-1.dsc
 b4ac29d3d8b4771a457a8ceaa8c6aa13 523859 admin optional cryptsetup_1.2.0.orig.tar.bz2
 0487de25fd7ddaa0abe3979c4abde092 78686 admin optional cryptsetup_1.2.0-1.debian.tar.gz
 85b11b05aa2452c0560ed256aa403551 176088 admin optional cryptsetup_1.2.0-1_amd64.deb
 1062f25ab2b93897783d737344c319fc 82062 libs optional libcryptsetup1_1.2.0-1_amd64.deb
 19cda47403f6ec22fa0ab49fab7df6bb 43898 libdevel optional libcryptsetup-dev_1.2.0-1_amd64.deb
 63de1a6ab79776e2c48fe8840f492ddb 33294 debian-installer optional cryptsetup-udeb_1.2.0-1_amd64.udeb
 b8e620c3e8b64a9d3efbc73d447232e1 43554 debian-installer optional libcryptsetup1-udeb_1.2.0-1_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNMjd5AAoJEFJi5/9JEEn+cqQP/2HqCDCD7HB6XLRZ14HEF47q
I/3XOYNmBLDoV35lNAEyIkXiMSHRbwHeyztEBGp/DoAiuYRAWS29+e6/V8wxytqG
wvPvQ4OsjEH7FWwoWQlR98AMMPF2w7TIkZvPjHgLtnXFENlqqXI1T8oBpXdgiaQ9
7MrXmE7Zl+ZBNoeREEpoq+9vxSwQzGq0aLMH60MfKOCDOXmiqOzfsIovIUrS5SdA
Z2JCurRJh5D5CDf7cPS11CC/m4JI2wC08TCbPcWsmnSLKL5GEZASWTn88Ew1S5PL
huc5DwaJJ3JbjR56tioF0taZWPtOf9VE1LYbVxmkcWEYzSMfIPj16a8AMWbAD/sp
ZgdunGXh9yOqw2nqJhmPYfgfyYIZjGT8E8/BhGyeqyNN2Tvx+G5+xMzDRjatLbvb
4W5CNxFPj9yq+dUBKzgGKJzFlaW6cWg53XxNHjJ7m6X5roLeY7UjNsWCOoXiNiUZ
A8dEsl38JiAW+QsRleWmvuRWNfE1fyamkoktwPSJzXIcPkZgSdEQUgSFd9atcVFr
vt74M2j8Fe9BI4Oi4n7es/wUDoFl6A1ZIdQB6vf2ip+iKsxIg9EeY6zC5og4BWzH
dnnWSJE0knTjixn/30IXaAtEg9XMkkvyI6560jummrEGiwjX+0mAqtxs52SWFHwM
Rn/3kkffyYBgb+VI09G6
=Mqtx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 07:39:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:32:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.